$gutter: 25px;
$widthOfSlot: 9rem;
$borderWidth: 2px;

.o-table-sessionplaner__row {
  display: flex;

  // < 900
  @include sm-max {
    border-bottom: $borderWidth solid $c-black;
  }
}

.o-table-sessionplaner__head {
  background-color: $c-orange !important;
  color: $c-white;
  font-size: 26px;
  font-weight: $font-bold;
  margin: 0;
  padding-top: $gutter / 2;
  padding-bottom: $gutter / 2;

  // < 900
  @include sm-max {
    display: none;
  }
}

.o-table-sessionplaner__head--slot,
.o-table-sessionplaner__column--slot {
  font-size: 16px;
  padding-right: $gutter;
  text-align: center;
  width: calc(#{$widthOfSlot} - #{$gutter * 2});

  // 901
  @include md-min {
    background-color: $c-black;
    color: $c-white;
  }
}

.o-table-sessionplaner__column--slot {
  margin-right: $gutter;
  padding: $gutter 0;
}

.o-table-sessionplaner__column--slot div + div {
  margin-top: 4px;
}

.o-table-sessionplaner__column--content {
  display: flex;
  flex-wrap: nowrap;
  width: 100%;

  // < 900
  @include sm-max {
    flex-wrap: wrap;
  }
}

.o-table-sessionplaner__column--data {
  border-bottom: $borderWidth solid $c-black;
  margin-right: $gutter;
  padding-right: $gutter;

  // < 900
  @include sm-max {
    border-bottom: 0;
    margin-right: 0;
  }

  // < 600
  @include xs-max {
    padding-right: 0;
  }
}

.o-table-sessionplaner__column--has-session {
  padding-top: $gutter;
  padding-bottom: $gutter;
}

.o-table-sessionplaner__column--data td p:last-child {
  margin-bottom: 0;
}

.o-table-sessionplaner__column--break {
  border-bottom: $borderWidth solid $c-black;
  font-style: italic;
  margin-right: $gutter;
  padding: $gutter 0;
  width: 100%;

  // < 900
  @include sm-max {
    border-bottom: 0;
  }
}

.o-table-sessionplaner__room {
  display: none;

  // < 900
  @include sm-max {
    display: block;
    font-weight: $font-medium;
  }
}

.o-table-sessionplaner__speaker {
  display: block;
}

.o-table-sessionplaner__tags {
  margin-top: 7px;
}

// Column width //-----------------------------------------------------------
.o-table-sessionplaner__table[data-columns="1"] .o-table-sessionplaner__head--data,
.o-table-sessionplaner__table[data-columns="1"] .o-table-sessionplaner__column--data {
  width: 100%;
}

.o-table-sessionplaner__table[data-columns="2"] .o-table-sessionplaner__head--data,
.o-table-sessionplaner__table[data-columns="2"] .o-table-sessionplaner__column--data {
  width: calc(100% / 2);

  // < 900
  @include sm-max {
    width: 100%;
  }
}

.o-table-sessionplaner__table[data-columns="3"] .o-table-sessionplaner__head--data,
.o-table-sessionplaner__table[data-columns="3"] .o-table-sessionplaner__column--data {
  width: calc(100% / 3);

  // < 900
  @include sm-max {
    width: 100%;
  }
}

.o-table-sessionplaner__table[data-columns="4"] .o-table-sessionplaner__head--data,
.o-table-sessionplaner__table[data-columns="4"] .o-table-sessionplaner__column--data {
  width: calc(100% / 4);

  // < 900
  @include sm-max {
    width: 100%;
  }
}